<?php

/*---------------------------------------------
  MAIAN EVENTS v2.0
  Written by David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: www.maianscriptworld.co.uk
  This File: Header
----------------------------------------------*/

if (!defined('PARENT')) {
  exit;
}

$tpl_header = new Savant2();
$tpl_header->assign('CHARSET', $charset);
$tpl_header->assign('TITLE', $title);
$tpl_header->assign('TITLE2', $p_header10);
$tpl_header->assign('META_DESC', $mDesc);
$tpl_header->assign('META_KEYS', $mKeys);
$tpl_header->assign('BASE_HREF', $SETTINGS->folder);
$tpl_header->assign('FEED_URL', ($SETTINGS->modr ? 'rss-feed.html' : 'index.php?cmd=rss-feed'));
$tpl_header->assign('THEME', $theme);
$tpl_header->assign('HOME_TXT', $p_header2);
$tpl_header->assign('COM_SOON_TXT', $p_header7);
$tpl_header->assign('ARCHIVE_TXT', $p_header3);
$tpl_header->assign('SEARCH_ARCHIVE',$p_header9);
$tpl_header->assign('SEARCH_TXT', $p_header4);
$tpl_header->assign('S_CHECKED', (isset($_GET['archive']) ? 'checked="checked"' : ''));
$tpl_header->assign('H_ACTIVE', ($cmd=='home' ? ' class="active"' : ''));
$tpl_header->assign('C_ACTIVE', ($cmd=='coming-soon' ? ' class="active"' : ''));
$tpl_header->assign('A_ACTIVE', ($cmd=='archive' ? ' class="active"' : ''));
$tpl_header->assign('H_URL', ($SETTINGS->modr ? 'index.html' : 'index.php'));
$tpl_header->assign('S_URL', ($SETTINGS->modr ? 'search.html' : 'index.php?cmd=search'));
$tpl_header->assign('C_URL', ($SETTINGS->modr ? 'coming-soon.html' : 'index.php?cmd=coming-soon'));
$tpl_header->assign('A_URL', ($SETTINGS->modr ? 'archive.html' : 'index.php?cmd=archive'));
$tpl_header->assign('KEY_VALUE', (isset($_GET['keywords']) && $_GET['keywords'] ? cleanData($_GET['keywords']) : ''));
$tpl_header->assign('THEME_SWITCHER',themeSwitcher($theme));
$tpl_header->display('themes/'.$theme.'/header.tpl.php');

?>
